/* Pushy - v0.9.2 - 2014-9-13 */


/* Container */
.wrapper{
	position: relative;
}


/* Внешний вид выдвигающегося блока меню */
.pushy{
	position: fixed;
	width: 320px;
	height: 100%;
	top: 0;
	z-index: 9999;
	overflow: auto;
	background-color: #31236E;
	-webkit-overflow-scrolling: touch; /* делает плавную прокрутку в iOS, если все элементы не влезают в окно  */
}

/* Выдвежение блока меню */
.pushy-left{
    -webkit-transform: translate3d(-100%,0,0);
    -moz-transform: translate3d(-100%,0,0);
    -ms-transform: translate3d(-100%,0,0);
    -o-transform: translate3d(-100%,0,0);
    transform: translate3d(-100%,0,0);
}
.pushy-open{
    -webkit-transform: translate3d(0,0,0);
    -moz-transform: translate3d(0,0,0);
    -ms-transform: translate3d(0,0,0);
    -o-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}
.container-push, .push-push{
    -webkit-transform: translate3d(320px,0,0);
    -moz-transform: translate3d(320px,0,0);
    -ms-transform: translate3d(320px,0,0);
    -o-transform: translate3d(320px,0,0);
    transform: translate3d(320px,0,0);
}

/* Плавное выдвижение блока меню */
.pushy, .wrapper, .push {
    -webkit-transition: -webkit-transform .4s cubic-bezier(.16, .68, .43, .99);
    -moz-transition: -moz-transform .4s cubic-bezier(.16, .68, .43, .99);
    -o-transition: -o-transform .4s cubic-bezier(.16, .68, .43, .99);
    transition: transform .4s cubic-bezier(.16, .68, .43, .99);
}

/* Слой Overlay */
.site-overlay{
    display: none;
}
.pushy-active .site-overlay{
    display: block;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 9998;
    background-color: rgba(0,0,0,0.7); /* цвет и прозрачность фона, отдельно через opacity - не работает */

/* все, что ниже, до самого конца - плавно затеняет Overlay */	 
    -webkit-animation: fade 500ms; 
    -moz-animation: fade 500ms; 
    -o-animation: fade 500ms;
    animation: fade 500ms;
}
@keyframes fade{
    0%   { opacity: 0; }
    100% { opacity: 1; }
}
@-moz-keyframes fade{
    0%   { opacity: 0; }
    100% { opacity: 1; }
}
@-webkit-keyframes fade{
    0%   { opacity: 0; }
    100% { opacity: 1; }
}
@-o-keyframes fade{
    0%   { opacity: 0; }
    100% { opacity: 1; }
}

@media screen and (max-width: 380px) {
	/* пропорциональное изменение ширины блока */
	.pushy{
		width: 85%;
	}
	.container-push, .push-push{
		 -webkit-transform: translate3d(85%,0,0);
		 -moz-transform: translate3d(85%,0,0);
		 -ms-transform: translate3d(85%,0,0);
		 -o-transform: translate3d(85%,0,0);
		 transform: translate3d(85%,0,0);
	}
}
